Bug 20497 - LibraryThing: always use https instead of http
Summary: LibraryThing: always use https instead of http
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 17137
  Show dependency treegraph
 
Reported: 2018-03-29 16:51 UTC by Kyle M Hall
Modified: 2018-06-04 20:15 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20497: Access LibraryThing assets using HTTPS (6.71 KB, patch)
2018-03-29 19:13 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 20497: Access LibraryThing assets using HTTPS (6.78 KB, patch)
2018-03-30 09:43 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 20497: Access LibraryThing assets using HTTPS (6.82 KB, patch)
2018-03-30 10:37 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2018-03-29 16:51:15 UTC
As per bug 17137, we should be using SSL for all external resources.
Comment 1 Kyle M Hall 2018-03-29 16:54:50 UTC
We should remove the http option for librarything urls. Apparently it is failing under plack and there is no reason to not always use https.
Comment 2 Tomás Cohen Arazi 2018-03-29 19:13:26 UTC
Created attachment 73443 [details] [review]
Bug 20497: Access LibraryThing assets using HTTPS
Comment 3 Kyle M Hall 2018-03-30 09:43:44 UTC
Created attachment 73458 [details] [review]
Bug 20497: Access LibraryThing assets using HTTPS

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 4 Katrin Fischer 2018-03-30 10:37:42 UTC
Created attachment 73460 [details] [review]
Bug 20497: Access LibraryThing assets using HTTPS

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Jonathan Druart 2018-04-02 21:15:47 UTC
Pushed to master for 18.05, thanks to everybody involved!